> ## Documentation Index
> Fetch the complete documentation index at: https://rollout.mintlify.app/llms.txt
> Use this file to discover all available pages before exploring further.

# List Appointments

> GET /appointments

`GET /appointments`

Base URL: `https://crm.universal.rollout.com/api`

## Parameters

| Name     | In    | Type                      | Required |
| -------- | ----- | ------------------------- | -------- |
| `next`   | query | string                    | No       |
| `offset` | query | string(numeric) \| number | No       |
| `limit`  | query | string(numeric) \| number | No       |

## Responses

| Status | Description |
| ------ | ----------- |
| `200`  | OK          |
| `400`  | Bad Request |
| `409`  | Conflict    |

## OpenAPI Source

`/openapi/crm.json GET /appointments`


## OpenAPI

````yaml /openapi/crm.json GET /appointments
openapi: 3.0.3
info:
  title: Universal CRM API Documentation
  description: Development documentation
  version: '1.0'
servers:
  - url: https://crm.universal.rollout.com/api
security: []
paths:
  /appointments:
    get:
      tags:
        - Appointments
      summary: List Appointments
      operationId: get_appointments
      parameters:
        - schema:
            type: string
          in: query
          name: next
          required: false
        - schema:
            anyOf:
              - format: numeric
                default: 0
                type: string
              - type: number
                anyOf:
                  - format: numeric
                    default: 0
                    type: string
                  - type: number
          in: query
          name: offset
          required: false
        - schema:
            anyOf:
              - format: numeric
                default: 0
                type: string
              - type: number
          in: query
          name: limit
          required: false
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  _metadata:
                    type: object
                    properties:
                      collection:
                        type: string
                      offset:
                        type: number
                      limit:
                        type: number
                      total:
                        type: number
                      next:
                        anyOf:
                          - type: string
                        nullable: true
                      nextLink:
                        anyOf:
                          - type: string
                        nullable: true
                    required:
                      - collection
                      - offset
                      - limit
                      - total
                      - next
                      - nextLink
                  appointments:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        personId:
                          anyOf:
                            - type: string
                          nullable: true
                        userId:
                          anyOf:
                            - type: string
                          nullable: true
                        createdById:
                          anyOf:
                            - type: string
                          nullable: true
                        updatedById:
                          anyOf:
                            - type: string
                          nullable: true
                        appointmentOutcomeId:
                          anyOf:
                            - type: string
                          nullable: true
                        appointmentTypeId:
                          anyOf:
                            - type: string
                          nullable: true
                        invitees:
                          type: array
                          items:
                            type: object
                            properties:
                              userId:
                                anyOf:
                                  - type: string
                                nullable: true
                              personId:
                                anyOf:
                                  - type: string
                                nullable: true
                            required:
                              - userId
                              - personId
                        title:
                          type: string
                        description:
                          type: string
                        location:
                          type: string
                        isAllDay:
                          type: boolean
                        type:
                          type: string
                        outcome:
                          type: string
                        outcomeReason:
                          type: string
                        startsAt:
                          anyOf:
                            - type: string
                          nullable: true
                        endsAt:
                          anyOf:
                            - type: string
                          nullable: true
                        created:
                          anyOf:
                            - type: string
                          nullable: true
                        updated:
                          anyOf:
                            - type: string
                          nullable: true
                        rolloutUpdated:
                          type: string
                        originalIds:
                          type: object
                          additionalProperties:
                            anyOf:
                              - type: number
                              - type: string
                        original:
                          type: object
                          additionalProperties:
                            type: object
                            additionalProperties: {}
                      required:
                        - id
                        - personId
                        - userId
                        - createdById
                        - updatedById
                        - appointmentOutcomeId
                        - appointmentTypeId
                        - invitees
                        - title
                        - description
                        - location
                        - isAllDay
                        - type
                        - outcome
                        - outcomeReason
                        - startsAt
                        - endsAt
                        - created
                        - updated
                        - rolloutUpdated
                        - originalIds
                        - original
                required:
                  - _metadata
                  - appointments
            multipart/form-data:
              schema:
                type: object
                properties:
                  _metadata:
                    type: object
                    properties:
                      collection:
                        type: string
                      offset:
                        type: number
                      limit:
                        type: number
                      total:
                        type: number
                      next:
                        anyOf:
                          - type: string
                        nullable: true
                      nextLink:
                        anyOf:
                          - type: string
                        nullable: true
                    required:
                      - collection
                      - offset
                      - limit
                      - total
                      - next
                      - nextLink
                  appointments:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        personId:
                          anyOf:
                            - type: string
                          nullable: true
                        userId:
                          anyOf:
                            - type: string
                          nullable: true
                        createdById:
                          anyOf:
                            - type: string
                          nullable: true
                        updatedById:
                          anyOf:
                            - type: string
                          nullable: true
                        appointmentOutcomeId:
                          anyOf:
                            - type: string
                          nullable: true
                        appointmentTypeId:
                          anyOf:
                            - type: string
                          nullable: true
                        invitees:
                          type: array
                          items:
                            type: object
                            properties:
                              userId:
                                anyOf:
                                  - type: string
                                nullable: true
                              personId:
                                anyOf:
                                  - type: string
                                nullable: true
                            required:
                              - userId
                              - personId
                        title:
                          type: string
                        description:
                          type: string
                        location:
                          type: string
                        isAllDay:
                          type: boolean
                        type:
                          type: string
                        outcome:
                          type: string
                        outcomeReason:
                          type: string
                        startsAt:
                          anyOf:
                            - type: string
                          nullable: true
                        endsAt:
                          anyOf:
                            - type: string
                          nullable: true
                        created:
                          anyOf:
                            - type: string
                          nullable: true
                        updated:
                          anyOf:
                            - type: string
                          nullable: true
                        rolloutUpdated:
                          type: string
                        originalIds:
                          type: object
                          additionalProperties:
                            anyOf:
                              - type: number
                              - type: string
                        original:
                          type: object
                          additionalProperties:
                            type: object
                            additionalProperties: {}
                      required:
                        - id
                        - personId
                        - userId
                        - createdById
                        - updatedById
                        - appointmentOutcomeId
                        - appointmentTypeId
                        - invitees
                        - title
                        - description
                        - location
                        - isAllDay
                        - type
                        - outcome
                        - outcomeReason
                        - startsAt
                        - endsAt
                        - created
                        - updated
                        - rolloutUpdated
                        - originalIds
                        - original
                required:
                  - _metadata
                  - appointments
            text/plain:
              schema:
                type: object
                properties:
                  _metadata:
                    type: object
                    properties:
                      collection:
                        type: string
                      offset:
                        type: number
                      limit:
                        type: number
                      total:
                        type: number
                      next:
                        anyOf:
                          - type: string
                        nullable: true
                      nextLink:
                        anyOf:
                          - type: string
                        nullable: true
                    required:
                      - collection
                      - offset
                      - limit
                      - total
                      - next
                      - nextLink
                  appointments:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        personId:
                          anyOf:
                            - type: string
                          nullable: true
                        userId:
                          anyOf:
                            - type: string
                          nullable: true
                        createdById:
                          anyOf:
                            - type: string
                          nullable: true
                        updatedById:
                          anyOf:
                            - type: string
                          nullable: true
                        appointmentOutcomeId:
                          anyOf:
                            - type: string
                          nullable: true
                        appointmentTypeId:
                          anyOf:
                            - type: string
                          nullable: true
                        invitees:
                          type: array
                          items:
                            type: object
                            properties:
                              userId:
                                anyOf:
                                  - type: string
                                nullable: true
                              personId:
                                anyOf:
                                  - type: string
                                nullable: true
                            required:
                              - userId
                              - personId
                        title:
                          type: string
                        description:
                          type: string
                        location:
                          type: string
                        isAllDay:
                          type: boolean
                        type:
                          type: string
                        outcome:
                          type: string
                        outcomeReason:
                          type: string
                        startsAt:
                          anyOf:
                            - type: string
                          nullable: true
                        endsAt:
                          anyOf:
                            - type: string
                          nullable: true
                        created:
                          anyOf:
                            - type: string
                          nullable: true
                        updated:
                          anyOf:
                            - type: string
                          nullable: true
                        rolloutUpdated:
                          type: string
                        originalIds:
                          type: object
                          additionalProperties:
                            anyOf:
                              - type: number
                              - type: string
                        original:
                          type: object
                          additionalProperties:
                            type: object
                            additionalProperties: {}
                      required:
                        - id
                        - personId
                        - userId
                        - createdById
                        - updatedById
                        - appointmentOutcomeId
                        - appointmentTypeId
                        - invitees
                        - title
                        - description
                        - location
                        - isAllDay
                        - type
                        - outcome
                        - outcomeReason
                        - startsAt
                        - endsAt
                        - created
                        - updated
                        - rolloutUpdated
                        - originalIds
                        - original
                required:
                  - _metadata
                  - appointments
          description: OK
        '400':
          content:
            application/json:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            multipart/form-data:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            text/plain:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
          description: Bad Request
        '409':
          content:
            application/json:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            multipart/form-data:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            text/plain:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
          description: Conflict
      security:
        - jwt: []
          credential_id: []
components:
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      description: Authorization JWT
    credential_id:
      type: apiKey
      in: header
      name: X-Rollout-Credential-Id
      description: The Rollout Credential ID to use for queries/mutations

````